Angular Alert Component

Alert

Angular alert component gives contextual feedback information for common user operations. The alert component is delivered with a bunch of usable and adjustable alert messages.

Available in Other JavaScript Frameworks

CoreUI Angular Alert Component is also available for Bootstrap, React, and Vue. Explore framework-specific implementations below:

Examples

Colors

Angular Alert is prepared for any length of text, as well as an optional close button. For a styling, use one of the required contextual color props (e.g., primary). For inline dismissal, use the dismissing prop.

import { Component } from '@angular/core';
import { AlertComponent } from '@coreui/angular';

@Component({
  selector: 'docs-alert-colors',
  templateUrl: './alert-colors.component.html',
  imports: [AlertComponent]
})
export class AlertColorsComponent {}
<c-alert>A simple primary alert—check it out!</c-alert>
<c-alert color="secondary">A simple secondary alert—check it out!</c-alert>
<c-alert color="success">A simple success alert—check it out!</c-alert>
<c-alert color="danger">A simple danger alert—check it out!</c-alert>
<c-alert color="warning">A simple warning alert—check it out!</c-alert>
<c-alert color="info">A simple info alert—check it out!</c-alert>
<c-alert color="light">A simple light alert—check it out!</c-alert>
<c-alert color="dark">A simple dark alert—check it out!</c-alert>

Use the cAlertLink directive class to quickly provide matching colored links within any alert.

import { Component } from '@angular/core';
import { RouterLink } from '@angular/router';
import { AlertComponent, AlertLinkDirective } from '@coreui/angular';

@Component({
  selector: 'docs-alert-link-color',
  templateUrl: './alert-link-color.component.html',
  imports: [AlertComponent, AlertLinkDirective, RouterLink]
})
export class AlertLinkColorComponent {}
<c-alert color="primary">
  A simple primary alert with <a cAlertLink [routerLink]>an example link</a>. Give it a click if you like.
</c-alert>
<c-alert color="secondary">
  A simple secondary alert with <a cAlertLink [routerLink]>an example link</a>. Give it a click if you like.
</c-alert>
<c-alert color="success">
  A simple success alert with <a cAlertLink [routerLink]>an example link</a>. Give it a click if you like.
</c-alert>
<c-alert color="danger">
  A simple danger alert with <a cAlertLink [routerLink]>an example link</a>. Give it a click if you like.
</c-alert>
<c-alert color="warning">
  A simple warning alert with <a cAlertLink [routerLink]>an example link</a>. Give it a click if you like.
</c-alert>
<c-alert color="info">
  A simple info alert with <a cAlertLink [routerLink]>an example link</a>. Give it a click if you like.
</c-alert>
<c-alert color="light">
  A simple light alert with <a cAlertLink [routerLink]>an example link</a>. Give it a click if you like.
</c-alert>
<c-alert color="dark">
  A simple dark alert with <a cAlertLink [routerLink]>an example link</a>. Give it a click if you like.
</c-alert>

Additional content

Alert can also incorporate supplementary HTML elements like heading with cAlertHeading, paragraph, and divider.

import { Component } from '@angular/core';
import { AlertComponent, AlertHeadingDirective } from '@coreui/angular';

@Component({
  selector: 'docs-alert-additional-content',
  templateUrl: './alert-additional-content.component.html',
  imports: [AlertComponent, AlertHeadingDirective]
})
export class AlertAdditionalContentComponent {}
<c-alert color="success">
  <h4 cAlertHeading>Well done!</h4>
  <p>Aww yeah, you successfully read this important alert message. This example text is going to run a bit longer so that you can see how spacing within an alert works with this kind of content.</p>
  <hr />
  <p class="mb-0">Whenever you need to, be sure to use margin utilities to keep things nice and tidy.</p>
</c-alert>

Dismissing

Alerts can also be easily dismissed. Just add the dismissible prop and fade for animation. To remove an alert from the DOM, you can use *ngIf directive.

import { Component, signal } from '@angular/core';
import { AlertComponent, ButtonDirective } from '@coreui/angular';

@Component({
  selector: 'docs-alert-dismissing',
  templateUrl: './alert-dismissing.component.html',
  imports: [AlertComponent, ButtonDirective]
})
export class AlertDismissingComponent {
  readonly visible = signal(true);
  readonly dismissible = signal(true);
}
@let isVisible = visible();
@if (isVisible) {
  <c-alert [(visible)]="visible" [dismissible]="dismissible()" color="light" fade>
    <strong>Go right ahead</strong> and click that dismiss over there on the right.
  </c-alert>
}
<hr>
<button cButton (click)="visible.update(value=> !value)">{{ isVisible ? 'Hide' : 'Show' }}</button>
<button (click)="dismissible.update(value=> !value)" cButton class="me-1" color="secondary">Toggle</button>

Custom template

Use alertButtonCloseTemplate to customize close button.

import { Component, signal } from '@angular/core';
import { AlertComponent, ButtonCloseDirective, ButtonDirective, TemplateIdDirective } from '@coreui/angular';

@Component({
  selector: 'docs-alert-custom-template',
  templateUrl: './alert-custom-template.component.html',
  imports: [AlertComponent, TemplateIdDirective, ButtonCloseDirective, ButtonDirective]
})
export class AlertCustomTemplateComponent {
  readonly visible = signal(true);

  onResetDismiss() {
    this.visible.set(true);
  }
}
<c-alert
  [(visible)]="visible"
  color="dark"
  dismissible
  fade
  variant="solid">
  <ng-template cTemplateId="alertButtonCloseTemplate">
    <button (click)="visible.set(false)" cButtonClose dark></button>
  </ng-template>
  <strong>Go right ahead</strong> and click that dismiss over there on the right.
</c-alert>

<hr>
<button (click)="onResetDismiss()" cButton color="secondary">Reset</button>

Icons

You can use Icons and flexbox utilities to create alerts with icons.

import { Component } from '@angular/core';
import { cilCheck } from '@coreui/icons';
import { AlertComponent } from '@coreui/angular';
import { IconDirective } from '@coreui/icons-angular';

@Component({
  selector: 'docs-alert-icons',
  templateUrl: './alert-icons.component.html',
  imports: [AlertComponent, IconDirective]
})
export class AlertIconsComponent {
  icons = { cilCheck };
}
<c-alert color="dark" class="d-flex align-items-center">
    <svg [cIcon]="icons.cilCheck" class="flex-shrink-0 me-2" size="xl"></svg>
    <div>An example alert with cIcon</div>
</c-alert>

<c-alert color="secondary" class="d-flex align-items-center">
    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="currentColor"
        class="bi bi-exclamation-triangle-fill flex-shrink-0 me-2" viewBox="0 0 16 16" role="img" aria-label="Warning:">
        <path
            d="M8.982 1.566a1.13 1.13 0 0 0-1.96 0L.165 13.233c-.457.778.091 1.767.98 1.767h13.713c.889 0 1.438-.99.98-1.767L8.982 1.566zM8 5c.535 0 .954.462.9.995l-.35 3.507a.552.552 0 0 1-1.1 0L7.1 5.995A.905.905 0 0 1 8 5zm.002 6a1 1 0 1 1 0 2 1 1 0 0 1 0-2z" />
    </svg>
    <div>An example alert with svg icon</div>
</c-alert>

<hr>

<svg xmlns="http://www.w3.org/2000/svg" class="d-none">
    <symbol id="check-circle-fill" fill="currentColor" viewBox="0 0 16 16">
        <path
            d="M16 8A8 8 0 1 1 0 8a8 8 0 0 1 16 0zm-3.97-3.03a.75.75 0 0 0-1.08.022L7.477 9.417 5.384 7.323a.75.75 0 0 0-1.06 1.06L6.97 11.03a.75.75 0 0 0 1.079-.02l3.992-4.99a.75.75 0 0 0-.01-1.05z" />
    </symbol>
    <symbol id="info-fill" fill="currentColor" viewBox="0 0 16 16">
        <path
            d="M8 16A8 8 0 1 0 8 0a8 8 0 0 0 0 16zm.93-9.412-1 4.705c-.07.34.029.533.304.533.194 0 .487-.07.686-.246l-.088.416c-.287.346-.92.598-1.465.598-.703 0-1.002-.422-.808-1.319l.738-3.468c.064-.293.006-.399-.287-.47l-.451-.081.082-.381 2.29-.287zM8 5.5a1 1 0 1 1 0-2 1 1 0 0 1 0 2z" />
    </symbol>
    <symbol id="exclamation-triangle-fill" fill="currentColor" viewBox="0 0 16 16">
        <path
            d="M8.982 1.566a1.13 1.13 0 0 0-1.96 0L.165 13.233c-.457.778.091 1.767.98 1.767h13.713c.889 0 1.438-.99.98-1.767L8.982 1.566zM8 5c.535 0 .954.462.9.995l-.35 3.507a.552.552 0 0 1-1.1 0L7.1 5.995A.905.905 0 0 1 8 5zm.002 6a1 1 0 1 1 0 2 1 1 0 0 1 0-2z" />
    </symbol>
</svg>

<c-alert color="primary" class="d-flex align-items-center">
    <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Info:">
        <use xlink:href="#info-fill" />
    </svg>
    <div>An example primary alert with an icon</div>
</c-alert>
<c-alert color="success" class="d-flex align-items-center">
    <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Info:">
        <use xlink:href="#check-circle-fill" />
    </svg>
    <div>An example success alert with an icon</div>
</c-alert>
<c-alert color="warning" class="d-flex align-items-center">
    <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Info:">
        <use xlink:href="#exclamation-triangle-fill" />
    </svg>
    <div>An example warning alert with an icon</div>
</c-alert>
<c-alert color="danger" class="d-flex align-items-center">
    <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Info:">
        <use xlink:href="#exclamation-triangle-fill" />
    </svg>
    <div>An example danger alert with an icon</div>
</c-alert>

API reference

Alert Module

import { AlertModule } from '@coreui/angular';

@NgModule({ 
  imports: [AlertModule,]
})
export class AppModule(){}

c-alert

component

jsx
import { AlertComponent } from '@coreui/angular'

Props

PropertyDefaultType
color'primary'string

Sets the color context of the component to one of CoreUI’s themed colors.

dismissiblefalseboolean

Optionally adds a close button to the alert and allow it to self-dismiss.

fadefalseboolean

Adds animation for dismissible alert.

role'alert'string

Default role for alert

variantundefined'solid'

Set the alert variant to a solid.

visibletrueboolean

Toggle the visibility of the alert component.

Events

Event name
visibleChange

Event triggered on the alert visibility change.

  • $event boolean

cAlertHeading

directive

jsx
import { AlertHeadingDirective } from '@coreui/angular'

directive

jsx
import { AlertLinkDirective } from '@coreui/angular'

Vue Alert Component

Alert

Vue alert component gives contextual feedback information for common user operations. The alert component is delivered with a bunch of usable and adjustable alert messages.

Available in Other JavaScript Frameworks

CoreUI Vue Alert Component is also available for Angular, Bootstrap, and React. Explore framework-specific implementations below:

Examples

Vue Alert is prepared for any length of text, as well as an optional close button. For a styling, use one of the required contextual color props (e.g., primary). For inline dismissal, use the dismissing prop.

vue
<template>
  <CAlert color="primary">A simple primary alert—check it out!</CAlert>
  <CAlert color="secondary">A simple secondary alert—check it out!</CAlert>
  <CAlert color="success">A simple success alert—check it out!</CAlert>
  <CAlert color="danger">A simple danger alert—check it out!</CAlert>
  <CAlert color="warning">A simple warning alert—check it out!</CAlert>
  <CAlert color="info">A simple info alert—check it out!</CAlert>
  <CAlert color="light">A simple light alert—check it out!</CAlert>
  <CAlert color="dark">A simple dark alert—check it out!</CAlert>
</template>

<script setup>
import { CAlert } from '@coreui/vue'
import { ref } from 'vue'
const liveExampleVisible = ref(false)
const message = () => {
  alert('👋 Well, hi there! Thanks for dismissing me.')
}
</script>

Live example

Click the button below to show an alert (hidden with inline styles to start), then dismiss (and destroy) it with the built-in close button.

vue
<template>
  <CAlert
    color="primary"
    :visible="liveExampleVisible"
    dismissible
    @close="
      () => {
        liveExampleVisible = false
      }
    "
    >A simple primary alert—check it out!</CAlert
  >
  <CButton
    color="primary"
    @click="
      () => {
        liveExampleVisible = true
      }
    "
    >Show live alert</CButton
  >
</template>

<script setup>
import { CAlert, CButton } from '@coreui/vue'
import { ref } from 'vue'
const liveExampleVisible = ref(false)
const message = () => {
  alert('👋 Well, hi there! Thanks for dismissing me.')
}
</script>

Use the <CAlertLink> component to immediately give matching colored links inside any alert.

vue
<template>
  <CAlert color="primary">
    A simple primary alert with <CAlertLink href="#">an example link</CAlertLink>. Give it a click
    if you like.
  </CAlert>
  <CAlert color="secondary">
    A simple secondary alert with <CAlertLink href="#">an example link</CAlertLink>. Give it a click
    if you like.
  </CAlert>
  <CAlert color="success">
    A simple success alert with <CAlertLink href="#">an example link</CAlertLink>. Give it a click
    if you like.
  </CAlert>
  <CAlert color="danger">
    A simple danger alert with <CAlertLink href="#">an example link</CAlertLink>. Give it a click if
    you like.
  </CAlert>
  <CAlert color="warning">
    A simple warning alert with <CAlertLink href="#">an example link</CAlertLink>. Give it a click
    if you like.
  </CAlert>
  <CAlert color="info">
    A simple info alert with <CAlertLink href="#">an example link</CAlertLink>. Give it a click if
    you like.
  </CAlert>
  <CAlert color="light">
    A simple light alert with <CAlertLink href="#">an example link</CAlertLink>. Give it a click if
    you like.
  </CAlert>
  <CAlert color="dark">
    A simple dark alert with <CAlertLink href="#">an example link</CAlertLink>. Give it a click if
    you like.
  </CAlert>
</template>

<script setup>
import { CAlert, CAlertLink } from '@coreui/vue'
import { ref } from 'vue'
const liveExampleVisible = ref(false)
const message = () => {
  alert('👋 Well, hi there! Thanks for dismissing me.')
}
</script>

Additional content

Alert can also incorporate supplementary HTML elements like heading, paragraph, and divider.

vue
<template>
  <CAlert color="success">
    <CAlertHeading>Well done!</CAlertHeading>

    <p>
      Aww yeah, you successfully read this important alert message. This example text is going to
      run a bit longer so that you can see how spacing within an alert works with this kind of
      content.
    </p>
    <hr />
    <p class="mb-0">
      Whenever you need to, be sure to use margin utilities to keep things nice and tidy.
    </p>
  </CAlert>
</template>

<script setup>
import { CAlert, CAlertHeading } from '@coreui/vue'
import { ref } from 'vue'
const liveExampleVisible = ref(false)
const message = () => {
  alert('👋 Well, hi there! Thanks for dismissing me.')
}
</script>

Icons

Similarly, you can use flexbox utilities and CoreUI Icons to create alerts with icons. Depending on your icons and content, you may want to add more utilities or custom styles.

vue
<template>
  <CAlert color="primary" class="d-flex align-items-center">
    <svg class="flex-shrink-0 me-2" width="24" height="24" viewBox="0 0 512 512">
      <rect
        width="32"
        height="176"
        x="240"
        y="176"
        fill="var(--ci-primary-color, currentColor)"
        class="ci-primary"
      ></rect>
      <rect
        width="32"
        height="32"
        x="240"
        y="384"
        fill="var(--ci-primary-color, currentColor)"
        class="ci-primary"
      ></rect>
      <path
        fill="var(--ci-primary-color, currentColor)"
        d="M274.014,16H237.986L16,445.174V496H496V445.174ZM464,464H48V452.959L256,50.826,464,452.959Z"
        class="ci-primary"
      ></path>
    </svg>

    <div>An example alert with an icon</div>
  </CAlert>
</template>

<script setup>
import { CAlert } from '@coreui/vue'
import { ref } from 'vue'
const liveExampleVisible = ref(false)
const message = () => {
  alert('👋 Well, hi there! Thanks for dismissing me.')
}
</script>

Need more than one icon for your alerts? Consider using CoreUI Icons.

vue
<template>
  <CAlert color="primary" class="d-flex align-items-center">
    <CIcon icon="cil-info" class="flex-shrink-0 me-2" width="24" height="24" />

    <div>An example alert with an icon</div>
  </CAlert>
  <CAlert color="success" class="d-flex align-items-center">
    <CIcon icon="cil-check-circle" class="flex-shrink-0 me-2" width="24" height="24" />
    <div>An example success alert with an icon</div>
  </CAlert>
  <CAlert color="warning" class="d-flex align-items-center">
    <CIcon icon="cil-warning" class="flex-shrink-0 me-2" width="24" height="24" />
    <div>An example warning alert with an icon</div>
  </CAlert>
  <CAlert color="danger" class="d-flex align-items-center">
    <CIcon icon="cil-burn" class="flex-shrink-0 me-2" width="24" height="24" />
    <div>An example danger alert with an icon</div>
  </CAlert>
</template>

<script setup>
import { CAlert } from '@coreui/vue'
import { CIcon } from '@coreui/icons-vue'
import { ref } from 'vue'
const liveExampleVisible = ref(false)
const message = () => {
  alert('👋 Well, hi there! Thanks for dismissing me.')
}
</script>

Solid

Use variant="solid" to change contextual colors to solid.

vue
<template>
  <CAlert color="primary" variant="solid">A simple solid primary alert—check it out!</CAlert>
  <CAlert color="secondary" variant="solid">A simple solid secondary alert—check it out!</CAlert>
  <CAlert color="success" variant="solid">A simple solid success alert—check it out!</CAlert>
  <CAlert color="danger" variant="solid">A simple solid danger alert—check it out!</CAlert>
  <CAlert color="warning" variant="solid">A simple solid warning alert—check it out!</CAlert>
  <CAlert color="info" variant="solid">A simple solid info alert—check it out!</CAlert>
  <CAlert color="light" variant="solid" class="text-high-emphasis"
    >A simple solid light alert—check it out!</CAlert
  >
  <CAlert color="dark" variant="solid">A simple solid dark alert—check it out!</CAlert>
</template>

<script setup>
import { CAlert } from '@coreui/vue'
import { ref } from 'vue'
const liveExampleVisible = ref(false)
const message = () => {
  alert('👋 Well, hi there! Thanks for dismissing me.')
}
</script>

Dismissing

Alerts can also be easily dismissed. Just add the dismissible prop.

vue
<template>
  <CAlert color="warning" dismissible @close="message">
    <strong>Go right ahead</strong> and click that dimiss over there on the right.
  </CAlert>
</template>

<script setup>
import { CAlert } from '@coreui/vue'
import { ref } from 'vue'
const liveExampleVisible = ref(false)
const message = () => {
  alert('👋 Well, hi there! Thanks for dismissing me.')
}
</script>

React Alert Component

Alert

React alert component gives contextual feedback information for common user operations. The alert component is delivered with a bunch of usable and adjustable alert messages.

Available in Other JavaScript Frameworks

CoreUI React Alert Component is also available for Angular, Bootstrap, and Vue. Explore framework-specific implementations below:

How to use React Alert Component.

React Alert is prepared for any length of text, as well as an optional close button. For a styling, use one of the required contextual color props (e.g., primary). For inline dismissal, use the dismissing prop.

import React from 'react'
import { CAlert } from '@coreui/react'

export const AlertExample = () => {
  return (
    <>
      <CAlert color="primary">A simple primary alert—check it out!</CAlert>
      <CAlert color="secondary">A simple secondary alert—check it out!</CAlert>
      <CAlert color="success">A simple success alert—check it out!</CAlert>
      <CAlert color="danger">A simple danger alert—check it out!</CAlert>
      <CAlert color="warning">A simple warning alert—check it out!</CAlert>
      <CAlert color="info">A simple info alert—check it out!</CAlert>
      <CAlert color="light">A simple light alert—check it out!</CAlert>
      <CAlert color="dark">A simple dark alert—check it out!</CAlert>
    </>
  )
}
import React from 'react'
import { CAlert } from '@coreui/react'

export const AlertExample = () => {
  return (
    <>
      <CAlert color="primary">A simple primary alert—check it out!</CAlert>
      <CAlert color="secondary">A simple secondary alert—check it out!</CAlert>
      <CAlert color="success">A simple success alert—check it out!</CAlert>
      <CAlert color="danger">A simple danger alert—check it out!</CAlert>
      <CAlert color="warning">A simple warning alert—check it out!</CAlert>
      <CAlert color="info">A simple info alert—check it out!</CAlert>
      <CAlert color="light">A simple light alert—check it out!</CAlert>
      <CAlert color="dark">A simple dark alert—check it out!</CAlert>
    </>
  )
}

Using color to add meaning only provides a visual indication, which will not be conveyed to users of assistive technologies – such as screen readers. Please ensure that information denoted by the color is either obvious from the content itself (e.g. the visible text), or is included through alternative means, such as additional text hidden with the .visually-hidden class.

Live example

Click the button below to show an alert (hidden with inline styles to start), then dismiss (and destroy) it with the built-in close button.

import React, { useState } from 'react'
import { CAlert, CButton } from '@coreui/react'

export const AlertLiveExample = () => {
  const [visible, setVisible] = useState(false)
  return (
    <>
      <CAlert color="primary" dismissible visible={visible} onClose={() => setVisible(false)}>
        A simple primary alert—check it out!
      </CAlert>
      <CButton color="primary" onClick={() => setVisible(true)}>
        Show live alert
      </CButton>
    </>
  )
}
import React, { useState } from 'react'
import { CAlert, CButton } from '@coreui/react'

export const AlertLiveExample = () => {
  const [visible, setVisible] = useState(false)
  return (
    <>
      <CAlert color="primary" dismissible visible={visible} onClose={() => setVisible(false)}>
        A simple primary alert—check it out!
      </CAlert>
      <CButton color="primary" onClick={() => setVisible(true)}>
        Show live alert
      </CButton>
    </>
  )
}

Use the <CAlertLink> component to immediately give matching colored links inside any React alert component.

import React from 'react'
import { CAlert, CAlertLink } from '@coreui/react'

export const AlertLinkColorExample = () => {
  return (
    <>
      <CAlert color="primary">
        A simple primary alert with <CAlertLink href="#">an example link</CAlertLink>. Give it a
        click if you like.
      </CAlert>
      <CAlert color="secondary">
        A simple secondary alert with <CAlertLink href="#">an example link</CAlertLink>. Give it a
        click if you like.
      </CAlert>
      <CAlert color="success">
        A simple success alert with <CAlertLink href="#">an example link</CAlertLink>. Give it a
        click if you like.
      </CAlert>
      <CAlert color="danger">
        A simple danger alert with <CAlertLink href="#">an example link</CAlertLink>. Give it a
        click if you like.
      </CAlert>
      <CAlert color="warning">
        A simple warning alert with <CAlertLink href="#">an example link</CAlertLink>. Give it a
        click if you like.
      </CAlert>
      <CAlert color="info">
        A simple info alert with <CAlertLink href="#">an example link</CAlertLink>. Give it a click
        if you like.
      </CAlert>
      <CAlert color="light">
        A simple light alert with <CAlertLink href="#">an example link</CAlertLink>. Give it a click
        if you like.
      </CAlert>
      <CAlert color="dark">
        A simple dark alert with <CAlertLink href="#">an example link</CAlertLink>. Give it a click
        if you like.
      </CAlert>
    </>
  )
}
import React from 'react'
import { CAlert, CAlertLink } from '@coreui/react'

export const AlertLinkColorExample = () => {
  return (
    <>
      <CAlert color="primary">
        A simple primary alert with <CAlertLink href="#">an example link</CAlertLink>. Give it a
        click if you like.
      </CAlert>
      <CAlert color="secondary">
        A simple secondary alert with <CAlertLink href="#">an example link</CAlertLink>. Give it a
        click if you like.
      </CAlert>
      <CAlert color="success">
        A simple success alert with <CAlertLink href="#">an example link</CAlertLink>. Give it a
        click if you like.
      </CAlert>
      <CAlert color="danger">
        A simple danger alert with <CAlertLink href="#">an example link</CAlertLink>. Give it a
        click if you like.
      </CAlert>
      <CAlert color="warning">
        A simple warning alert with <CAlertLink href="#">an example link</CAlertLink>. Give it a
        click if you like.
      </CAlert>
      <CAlert color="info">
        A simple info alert with <CAlertLink href="#">an example link</CAlertLink>. Give it a click
        if you like.
      </CAlert>
      <CAlert color="light">
        A simple light alert with <CAlertLink href="#">an example link</CAlertLink>. Give it a click
        if you like.
      </CAlert>
      <CAlert color="dark">
        A simple dark alert with <CAlertLink href="#">an example link</CAlertLink>. Give it a click
        if you like.
      </CAlert>
    </>
  )
}

Additional content

React Alert can also incorporate supplementary components & elements like heading, paragraph, and divider.

import React from 'react'
import { CAlert, CAlertHeading } from '@coreui/react'

export const AlertAdditionalContentExample = () => {
  return (
    <CAlert color="success">
      <CAlertHeading as="h4">Well done!</CAlertHeading>
      <p>
        Aww yeah, you successfully read this important alert message. This example text is going to
        run a bit longer so that you can see how spacing within an alert works with this kind of
        content.
      </p>
      <hr />
      <p className="mb-0">
        Whenever you need to, be sure to use margin utilities to keep things nice and tidy.
      </p>
    </CAlert>
  )
}
import React from 'react'
import { CAlert, CAlertHeading } from '@coreui/react'

export const AlertAdditionalContentExample = () => {
  return (
    <CAlert color="success">
      <CAlertHeading as="h4">Well done!</CAlertHeading>
      <p>
        Aww yeah, you successfully read this important alert message. This example text is going to
        run a bit longer so that you can see how spacing within an alert works with this kind of
        content.
      </p>
      <hr />
      <p className="mb-0">
        Whenever you need to, be sure to use margin utilities to keep things nice and tidy.
      </p>
    </CAlert>
  )
}

Icons

Similarly, you can use flexbox utilities and CoreUI Icons to create React alerts with icons. Depending on your icons and content, you may want to add more utilities or custom styles.

import React from 'react'
import { CAlert } from '@coreui/react'

export const AlertIcons1Example = () => {
  return (
    <CAlert color="primary" className="d-flex align-items-center">
      <svg className="flex-shrink-0 me-2" width="24" height="24" viewBox="0 0 512 512">
        <rect
          width="32"
          height="176"
          x="240"
          y="176"
          fill="var(--ci-primary-color, currentColor)"
          className="ci-primary"
        ></rect>
        <rect
          width="32"
          height="32"
          x="240"
          y="384"
          fill="var(--ci-primary-color, currentColor)"
          className="ci-primary"
        ></rect>
        <path
          fill="var(--ci-primary-color, currentColor)"
          d="M274.014,16H237.986L16,445.174V496H496V445.174ZM464,464H48V452.959L256,50.826,464,452.959Z"
          className="ci-primary"
        ></path>
      </svg>
      <div>An example alert with an icon</div>
    </CAlert>
  )
}
import React from 'react'
import { CAlert } from '@coreui/react'

export const AlertIcons1Example = () => {
  return (
    <CAlert color="primary" className="d-flex align-items-center">
      <svg className="flex-shrink-0 me-2" width="24" height="24" viewBox="0 0 512 512">
        <rect
          width="32"
          height="176"
          x="240"
          y="176"
          fill="var(--ci-primary-color, currentColor)"
          className="ci-primary"
        ></rect>
        <rect
          width="32"
          height="32"
          x="240"
          y="384"
          fill="var(--ci-primary-color, currentColor)"
          className="ci-primary"
        ></rect>
        <path
          fill="var(--ci-primary-color, currentColor)"
          d="M274.014,16H237.986L16,445.174V496H496V445.174ZM464,464H48V452.959L256,50.826,464,452.959Z"
          className="ci-primary"
        ></path>
      </svg>
      <div>An example alert with an icon</div>
    </CAlert>
  )
}

Need more than one icon for your React alerts? Consider using CoreUI Icons.

import React from 'react'
import { CAlert } from '@coreui/react'
import CIcon from '@coreui/icons-react'
import { cilBurn, cilCheckCircle, cilInfo, cilWarning } from '@coreui/icons'

export const AlertIcons2Example = () => {
  return (
    <>
      <CAlert color="primary" className="d-flex align-items-center">
        <CIcon icon={cilInfo} className="flex-shrink-0 me-2" width={24} height={24} />
        <div>An example alert with an icon</div>
      </CAlert>
      <CAlert color="success" className="d-flex align-items-center">
        <CIcon icon={cilCheckCircle} className="flex-shrink-0 me-2" width={24} height={24} />
        <div>An example success alert with an icon</div>
      </CAlert>
      <CAlert color="warning" className="d-flex align-items-center">
        <CIcon icon={cilWarning} className="flex-shrink-0 me-2" width={24} height={24} />
        <div>An example warning alert with an icon</div>
      </CAlert>
      <CAlert color="danger" className="d-flex align-items-center">
        <CIcon icon={cilBurn} className="flex-shrink-0 me-2" width={24} height={24} />
        <div>An example danger alert with an icon</div>
      </CAlert>
    </>
  )
}
import React from 'react'
import { CAlert } from '@coreui/react'
import CIcon from '@coreui/icons-react'
import { cilBurn, cilCheckCircle, cilInfo, cilWarning } from '@coreui/icons'

export const AlertIcons2Example = () => {
  return (
    <>
      <CAlert color="primary" className="d-flex align-items-center">
        <CIcon icon={cilInfo} className="flex-shrink-0 me-2" width={24} height={24} />
        <div>An example alert with an icon</div>
      </CAlert>
      <CAlert color="success" className="d-flex align-items-center">
        <CIcon icon={cilCheckCircle} className="flex-shrink-0 me-2" width={24} height={24} />
        <div>An example success alert with an icon</div>
      </CAlert>
      <CAlert color="warning" className="d-flex align-items-center">
        <CIcon icon={cilWarning} className="flex-shrink-0 me-2" width={24} height={24} />
        <div>An example warning alert with an icon</div>
      </CAlert>
      <CAlert color="danger" className="d-flex align-items-center">
        <CIcon icon={cilBurn} className="flex-shrink-0 me-2" width={24} height={24} />
        <div>An example danger alert with an icon</div>
      </CAlert>
    </>
  )
}

Solid

Use variant="solid" to change contextual colors to solid.

import React from 'react'
import { CAlert } from '@coreui/react'

export const AlertSolidExample = () => {
  return (
    <>
      <CAlert color="primary" variant="solid">
        A simple solid primary alert—check it out!
      </CAlert>
      <CAlert color="secondary" variant="solid">
        A simple solid secondary alert—check it out!
      </CAlert>
      <CAlert color="success" variant="solid">
        A simple solid success alert—check it out!
      </CAlert>
      <CAlert color="danger" variant="solid">
        A simple solid danger alert—check it out!
      </CAlert>
      <CAlert color="warning" variant="solid">
        A simple solid warning alert—check it out!
      </CAlert>
      <CAlert color="info" variant="solid">
        A simple solid info alert—check it out!
      </CAlert>
      <CAlert color="light" variant="solid" className="text-high-emphasis">
        A simple solid light alert—check it out!
      </CAlert>
      <CAlert color="dark" variant="solid">
        A simple solid dark alert—check it out!
      </CAlert>
    </>
  )
}
import React from 'react'
import { CAlert } from '@coreui/react'

export const AlertSolidExample = () => {
  return (
    <>
      <CAlert color="primary" variant="solid">
        A simple solid primary alert—check it out!
      </CAlert>
      <CAlert color="secondary" variant="solid">
        A simple solid secondary alert—check it out!
      </CAlert>
      <CAlert color="success" variant="solid">
        A simple solid success alert—check it out!
      </CAlert>
      <CAlert color="danger" variant="solid">
        A simple solid danger alert—check it out!
      </CAlert>
      <CAlert color="warning" variant="solid">
        A simple solid warning alert—check it out!
      </CAlert>
      <CAlert color="info" variant="solid">
        A simple solid info alert—check it out!
      </CAlert>
      <CAlert color="light" variant="solid" className="text-high-emphasis">
        A simple solid light alert—check it out!
      </CAlert>
      <CAlert color="dark" variant="solid">
        A simple solid dark alert—check it out!
      </CAlert>
    </>
  )
}

Dismissing

React Alert component can also be easily dismissed. Just add the dismissible prop.

import React from 'react'
import { CAlert } from '@coreui/react'

export const AlertDismissingExample = () => {
  return (
    <CAlert
      color="warning"
      dismissible
      onClose={() => {
        alert('👋 Well, hi there! Thanks for dismissing me.')
      }}
    >
      <strong>Go right ahead</strong> and click that dismiss over there on the right.
    </CAlert>
  )
}
import React from 'react'
import { CAlert } from '@coreui/react'

export const AlertDismissingExample = () => {
  return (
    <CAlert
      color="warning"
      dismissible
      onClose={() => {
        alert('👋 Well, hi there! Thanks for dismissing me.')
      }}
    >
      <strong>Go right ahead</strong> and click that dismiss over there on the right.
    </CAlert>
  )
}

When an alert is dismissed, the element is completely removed from the page structure. If a keyboard user dismisses the alert using the close button, their focus will suddenly be lost and, depending on the browser, reset to the start of the page/document.

API

Check out the documentation below for a comprehensive guide to all the props you can use with the components mentioned here.